Execute a previewed Backpack order or RFQ
Requires confirm: true and the exact previewId from /api/backpack/trade/preview. Executes against the platform's server-signed Backpack account.
Body·
required
application/json
Preview confirmation
- Type: booleanconfirmrequired
- Type: stringpreview
Id requiredMust match the preview
- Type: "order" or "rfq"enummode
- Type: objectpayload
- additionalPropertyType: anythingproperty
Name
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/api/backpack/trade/execute
curl https://api.musebook.trade/api/backpack/trade/execute \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"confirm": true,
"mode": "order",
"previewId": "",
"payload": {},
"additionalProperty": "anything"
}'
{
"ok": true,
"additionalProperty": "anything"
}